Fuse-Hadoop Help

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Fuse-Hadoop Help

Mike Navarro

Hi all,

 

For all those who have successfully built fuse-hadoop, I am looking to do the same.

 

I need some help de-bugging the errors I’m getting while trying to build fuse-hadoop.

 

Attached is the errorLog and the README file with the steps I followed, which I briefly outline as follows:

 

1 - downloaded and installed fuse (version: fuse-2.6.1)

2 - downloaded and installed fuse-j (version: fuse-j-2.4-prerelease1)

3 - downloaded and installed hadoop (version: hadoop-0.9.0)

4 - downloaded and installed fuse-hadoop-0.1.1.tar.gz

 

I copied "fuse-j-2.2.3.jar" from Step 2 to fuse-hadoop-0.1.1/lib

I copied "hadoop-0.9.1-dev.jar" from Step 3 to fuse-hadoop-0.1.1/lib

 

Attached error log comes when I execute "ant jar" in “/usr/local/fuse-hadoop-0.1.1”

 

By the way, I’m using “jdk1.5.0_10” and “apache-ant-1.6.5”

 

Thoughts anyone?

 

Many thanks,

 

-Mike


errorLog.txt (12K) Download Attachment
fuse-hadoop-0.1.1_README.txt (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Fuse-Hadoop Help

김형준
I used fuse-hadoop-0.1.0 and successfully mounted.
The fuse-hadoop-0.1.0 version uses DistributedFileSystem instead of
DFSClient class.
DFSClient class isn't public.
Reply | Threaded
Open this post in threaded view
|

Re: Fuse-Hadoop Help

Konstantin Shvachko
Sounds like a bug in fuse-hadoop-0.1.1
How come the nightly build is not failing?


김형준 wrote:

> I used fuse-hadoop-0.1.0 and successfully mounted.
> The fuse-hadoop-0.1.0 version uses DistributedFileSystem instead of
> DFSClient class.
> DFSClient class isn't public.
>